Subject: Re: pylint: ImportError: No module named pkg_resources
From: Oleksandr Gavenko via Cygwin <[email-masked]>
To: [email-masked]
Date: Sun, 17 Jan 2021 12:23:31 +0200
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

On 2021-01-17, Marco Atzeri via Cygwin wrote:

> This explain the status problem:
>
>  $ grep -e "pylint" -e "logilab" cygwin-pkg-maint
> pylint                                       ORPHANED (Jari Aalto)
> python-logilab-astng                         ORPHANED (Jari Aalto)
> python-logilab-common                        ORPHANED (Jari Aalto)

Oh, I see. BTW I noticed in the mentioned link:

>    https://stackoverflow.com/questions/7446187/no-module-named-pkg-resources

report on the problem as of Mar 21 '13 (with 5 upvotes for the solution).

So the problem is not recent.

================================================================

Only pylint is available in Cygwin. May be I haven't tried hard but I see no
anything corresponding to Debian's:

  pycodestyle (or pep8)
  python3-pyflakes
  python3-mccabe
  python3-pydocstyle
  bandit

Still pylint was useful (I spotted shadowing built-in function "id" by global
variable).

I'll try to figure out how can I get them in venv, it is not that crucial to
have them bundled in Cygwin.

-- 
http://defun.work/

--
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple